# Fjage.jl
### Framework for Julia, Java and Groovy agents

```@meta
CurrentModule = Fjage
```

## Introduction

[fjåge](https://github.com/org-arl/fjage/blob/master/README.md) provides a lightweight and
easy-to-learn framework for agent-oriented software development in Java and
Groovy. `Fjage.jl` is a Julia port of fjåge, which can be independently used,
or used in conjunction with a Java/Groovy container in a multi-language application.

### Key features

- Lightweight and fast
- Easy to learn, and rapid agent development cycle
- Agent development in Julia, Java or Groovy
- APIs for access from Java, Groovy, Python, C, Julia, and Javascript
- JSON-based protocol to interface with external applications

## Installation

In Julia REPL:
```julia
julia> # press "]" to enter package manager
pkg> add Fjage
```

### Useful reading

- [fjåge home](https://github.com/org-arl/fjage)
- [fjåge developer's guide](https://fjage.readthedocs.io/en/latest/)
- [fjåge gateway API specifications](https://github.com/org-arl/fjage/blob/master/gateways/Gateways.md)
